List captured webhook samples
GET
/automation/{id}/webhook/{triggerKey}/sample
Recent deliveries kept for building and dry-running against. Previews only.
Path Parameters
idstring
required·
Resource id
triggerKeystring
required·
Webhook trigger key within the workflow
Response Body
next_cursorstring,null
prev_cursorstring,null
resultobject[]
bytesinteger
content_typestring,null
idstring
previewstring
received_atstring
trigger_keystring
verifiedboolean
curl -X GET 'https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())